#ifndef  SYS_BUF_H
#define	SYS_BUF_H

#include <sys/cdefs.h>
#include <sys/kernel_types.h>
#include <mach/memory_object_types.h>
#include <APPLE/sys/buf.h>

//func

/*buf_vnode

vnode_t buf_vnode(
    buf_t);  
Discussion 

return the vnode_t associated with buf_t*/

vnode_t buf_vnode(
    buf_t);  

/*buf_dataptr

uintptr_t buf_dataptr(
    buf_t);  
Discussion 

retrieve pointer to buffer associated with buf_t if non-null, than guaranteed to be kernel addressable size of buffer can be retrieved via buf_size size of valid data can be retrieved via buf_count if NULL, than use buf_map/buf_unmap to manage access to the underlying storage*/
uintptr_t buf_dataptr(
    buf_t);  

#endif 